<html>
    <head>
        <title>Video Preview</title>
        <meta name="apple-mobile-web-app-capable" content="yes">
        <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" />
        <!-- 防止双击屏幕的时候页面放大问题 -->
        <meta name="viewport" content="width=device-width,initial-scale=1.0,user-scalable=no" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <!-- 隐藏地址栏 -->
        <meta name='apple-mobile-web-app-capable' content='yes' />
        <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" />
        <meta name="browsermode" content="application">
        <meta name="full-screen" content="yes" />
        <meta name="x5-page-mode" content="app" />
        <meta name='x5-fullscreen' content='true' />
        <meta name='360-fullscreen' content='true' />
        <meta content="text/html; charset=utf-8" http-equiv="content-type" />
        <script src="/js/ajax.js"></script>
        <script src="/js/element.js"></script>
        <script src="/js/hotkey.js"></script>
        <script src="/js/video.js"></script>
        <link rel="stylesheet" href="/css/public.css">
        <style>
            body{background:#000;height:100%;}
            *{margin:0rem; padding:0rem;}
            #hdiv{width:100%; top:0px; left:0px; height:110%;}
        </style>
    </head>
    <body>
        <div id="hdiv"></div>
        <script type="text/javascript">
            var f = location.href.replace(/.*(\?|\&)f=([^&]+).*/gi, "$2");
            var page = location.href.replace(/.*(\?|\&)page=([^&]+).*/gi, "$2");
            var idx = location.href.replace(/.*(\?|\&)idx=([^&]+).*/gi, "$2");
            var sort = location.href.replace(/.*(\?|\&)sort=([^&]+).*/gi, "$2");
            f = decodeURIComponent(f);
            var url = '';
            if(/^\/LCK-.*/gi.test(f)){
                url = f;
                setTimeout(function(){

                    document.getElementsByTagName('video')[0].src="/datastorage"+f;
                }, 1000);
            }else{
                url = "/datastorage"+f;
            }
            var v = new Video(url, f, document.all("hdiv"), page, idx, sort);
            setTimeout(function(){
                window.scrollTo(0, document.body.scrollHeight);
            }, 300);
        </script>
    </body>
</html>
